> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/storefront-widget-details/optimize-custom-website-seo-with-better-urls.md).

# Optimize custom website SEO with better URLs

When you add an Ecwid store to a custom website, it creates dynamic pages for the catalog, allowing customers to browse products without needing to reload the page. The URL updates automatically as they navigate. Ecwid generates different URL formats based on your website’s setup and the features you have enabled. Some of these URLs are shorter, making them more user-friendly and better for SEO.

By enabling specific features, you can optimize your product and category page URLs for improved readability and search engine (or SEO) performance.

See the comparison table below:

<table><thead><tr><th width="202">Features enabled</th><th width="236">Description</th><th>Catalog URL example</th></tr></thead><tbody><tr><td>None</td><td>Default URL generation on custom websites includes hashbang, URI-encoded product/category name, and its ID.</td><td><code>https://example.com/store/#!/product-name/p/123456</code></td></tr><tr><td><strong>Clean Store URLs</strong></td><td>Removes the hashbang (<code>/#!/</code>) and product/category ID (<code>/p/123456</code>) from page URLs.</td><td><code>https://example.com/store/product-name</code></td></tr><tr><td><strong>Clean Store URLs</strong> + <strong>Custom Page Slugs</strong></td><td>Allows setting up custom slugs for product/category pages.</td><td><code>https://example.com/store/custom-name</code></td></tr></tbody></table>

Learn more about both features in the following articles:

* [**Enable Clean Store URL on a custom website**](/api-reference/rest-api/storefront-widget-details/optimize-custom-website-seo-with-better-urls/enable-clean-store-urls-on-a-custom-website.md)
* [**Set Custom Page Slugs on a custom website**](/api-reference/rest-api/storefront-widget-details/optimize-custom-website-seo-with-better-urls/set-custom-page-slugs-on-a-custom-website.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/storefront-widget-details/optimize-custom-website-seo-with-better-urls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
